Now with Firefox 3.5 support! Rated 5 out of 5 stars

Version 1.2 of this tool, which is compatible with Firefox 3.5, has been set free from the sandbox. Enjoy!

This review is for a previous version of the add-on (1.2).